<?php
/*
 * CUSTOM RESULTS SEARCH LANDING
 * This is the engine room for the entire front pages for the Website. 
 * Search results are a result of $_POST and get_option() WordPress hook functions.
 * 
 * @ since 0.1
 */

if(!function_exists('_rwp_usamls_search_form')) {

	function _rwp_usamls_search_form( $_rwp_usamls_property_URL ) { 

	/*
	 * RGV Web Pro IDX IFRAME SEARCH FORM FUNCTION
	 * This function generates the search for the iFrame URL.
	 * _rwp_usamls_search_form( 'residential',1,'rwp_usamls_net_search','usamls' );
	 * 
	 * @ since 0.1
	 */
	
	$_rwp_search_form_string = '<!-- RGV Web Pro IDX Plugin <contact@rgvwebpro.com> -->
	<form action="' . get_option($_rwp_usamls_property_URL) . '" target="searchframe_' . get_the_ID() . '" name="usamlsnetform' . get_the_ID() . '" id="" method="POST">
	<input type="hidden" name="do_search_results" value="true" />';
	
	/*
	 * SEARCH RESULTS INPUT FORM FIELDS
	 * This area outputs respective form fields for search results.
	 * 
	 * @ since 0.1
	 */


		/*
			We need to get the individual post/page ID
			http://codex.wordpress.org/Function_Reference/get_the_ID
			http://codex.wordpress.org/Function_Reference/get_post_meta
		*/

		$usamls_net_post_ID = get_the_ID(); 
		$usamls_net_custom_values = get_post_meta( $usamls_net_post_ID );  

		/*
			We output the <input> fields
		*/

		$usamls_net_field = $usamls_net_custom_values;
		foreach ( $usamls_net_field as $key => $value )

			/*
			 * IF STATEMENT
			 * Make sure we're only pulling the Custom Fields associated with this plugin.
			 * preg_match( '/item/', $key ) 	- 	If the Custom Field Key matches the term "item"
			 * !preg_match( '/_item/', $key ) 	- 	To prevent a variation of the Key generated by Advanced Custom Fields
			 * $value['0'] == true 				- 	To insure the Key has a value in the array
			 * 
			 * @ since 0.1
			 */
			if ( preg_match( '/item/', $key ) && !preg_match( '/_item/', $key ) && $value['0'] == true ) 
				$_rwp_search_form_string .= '<input type="hidden" name="' . $key . '" value="' . $value['0'] . '"/>' . "\n";

	
	$_rwp_search_form_string .= '</form>
	<iframe name="searchframe_' . get_the_ID() . '" class="" width="100%" height="1776px" frameborder="0" scrolling="auto" src="' . get_option($_rwp_usamls_property_URL) . '"></iframe>
	<script language="javascript" type="text/javascript">document.usamlsnetform' . get_the_ID() . '.submit();</script>';
	return $_rwp_search_form_string;
	}
}
?>